# Class SegmentKeyLoadStartEvent

#### Hierarchy

- SegmentKeyEvent
  - SegmentKeyLoadStartEvent

#####
Index

### Constructors

constructor

### Properties

keyInfo
segmentInfo
type

## Constructors

### constructor

- new SegmentKeyLoadStartEvent(segmentInfo, keyInfo): SegmentKeyLoadStartEvent

- #### Parameters

  - segmentInfo: SegmentInfo
  - keyInfo: SegmentKeyInfo

  #### Returns SegmentKeyLoadStartEvent

  Inherited from SegmentKeyEvent.constructor

## Properties

### `Readonly` keyInfo

keyInfo: SegmentKeyInfo

Inherited from SegmentKeyEvent.keyInfo

### `Readonly` segmentInfo

segmentInfo: SegmentInfo

Inherited from SegmentKeyEvent.segmentInfo

### `Readonly` type

type: "segmentkeyloadstart" = Events.SegmentKeyLoadStart

Overrides SegmentKeyEvent.type